Printago API
PATCH /v1/orders/batch/close

Batch close orders

Requires: order.edit

Request Body

Order IDs to close

RequestBody
orderIdsrequired
string[]

Example Request

application/json
{
  "orderIds": [
    "string"
  ]
}

Response Schema

Response
closedrequired
object[]
cancelledAtoptional
string
createdAtrequired
string
format: date-time
currencyoptional
string
customerIdoptional
string
deadlineoptional
string
externalIdoptional
string
externalUrloptional
string
idrequired
string
pattern: ^[a-z0-9]{24}$
integrationIdoptional
string
noteoptional
string
orderNumberrequired
string
priceoptional
number
priceBucketoptional
number
processedAtoptional
string
shippedAtoptional
string
sourceoptional
any
sourceRefoptional
string
statusrequired
any
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
syncDisabledrequired
boolean
updatedAtrequired
string
format: date-time
errorsrequired
object[]
errorrequired
string
orderIdrequired
string

Example Response

200 OK — application/json
{
  "closed": [
    {
      "orderNumber": "string",
      "syncDisabled": true,
      "id": "string",
      "storeId": "string",
      "createdAt": "2026-08-24T03:58:55.713Z",
      "updatedAt": "2026-08-24T03:58:55.713Z"
    }
  ],
  "errors": [
    {
      "orderId": "string",
      "error": "string"
    }
  ]
}